%define aurox_ver 10.0
%define rel 1

%define filename gtkam

# use 0.1.7 for gimp 1.2
%define gimp_version 2.0

Summary: GIMP plug-in for digital camera access through gPhoto2
Name: gtkam-gimp
Version: 0.1.12
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Multimedia
Source0: http://belnet.dl.sourceforge.net/sourceforge/gphoto/%{filename}-%{version}.tar.gz
URL: http://www.gphoto.org/gphoto2
ExcludeArch: s390 s390x
BuildRequires: gphoto2-devel >= 2.1.1
BuildRequires: gdk-pixbuf-devel gimp-devel >= %{gimp_version}
BuildRequires: libexif-gtk-devel libexif-gtk
BuildRequires: desktop-file-utils >= 0.2.92
Requires: gphoto2 libexif-gtk libexif
Requires: gimp >= %{gimp_version}
Conflicts: gtkam <= 0.1.7
PreReq: fileutils gawk sh-utils
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A GIMP plug-in for direct digital camera access through gPhoto2.


%prep
%setup -q -n %{filename}-%{version}

%build
%configure
(cd src && make %{name})

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libexecdir}
install -m 0755 src/%{name} %{buildroot}%{_libexecdir}/gtkam-gimp

%post
if [ -x /usr/bin/gimptool-%{gimp_version} ]; then
  GIMPPLUGINDIR=`/usr/bin/gimptool-%{gimp_version} --gimpplugindir`
fi
if [ -z "$GIMPPLUGINDIR" ]; then
  GIMPPLUGINDIR=/usr/lib/gimp/%{gimp_version}
fi
RELPATH=`echo $GIMPPLUGINDIR | awk '
  BEGIN { FS="/"; i = 1} {while (i < NF) { printf("../"); i = i + 1} }'`
if [ ! -s $GIMPPLUGINDIR/plug-ins/gtkam ]; then
  ln -s $RELPATH/libexec/gtkam-gimp $GIMPPLUGINDIR/plug-ins/gtkam
fi

%postun
if [ $1 = 0 ]; then
  rm -f /usr/lib/gimp/*/plug-ins/gtkam
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libexecdir}/gtkam-gimp

%changelog
* Mon Jul 19 2004 Aurox Team <aurox@aurox.org> 0:0.1.12-10.0.aur.1
- rebuild with version 0.1.12
- new bugfix release
- build for gimp 2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not build on mainframe

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.7-1
- 0.1.7.
- No longer need gtkam-gimp patch.
- Don't install files not shipped.

* Mon Aug  5 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-6
- Don't require gimp-devel (bug #70754).
- Don't ship empty NEWS file (bug #66086).

* Mon Jul 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-5
- Desktop file fixes (bug #69434).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-4
- Use desktop-file-install.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.1.4-3
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 0.1.4-2
- automated rebuild

* Thu May 23 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-1
- 0.1.4.
- Update gimp patch.
- No longer need linguas, gettext, ranlib patches.

* Wed Mar  6 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.2
- The gimp subpackage requires /usr/bin/gimp-config in its %%post
  scriplet.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.1
- Adapted for Red Hat Linux.  Tidied the spec file.
- Made a desktop entry.
- Fixed the gimp plug-in.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-10mdk
- Rebuilt for libusb 0.1.4.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-9mdk
- Add %%defattr(-,root,root,-) for gtkam-gimp-plugin

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-8mdk
- Fix menu entry

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-7mdk
- Updated to the CVS snapshot from 04/12/2001.

* Sat Dec  1 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-6mdk
- Updated to the CVS of 01/12/2001.

* Fri Nov 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-5mdk
- Updated to the CVS of 30/11/2001.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: gettext-devel

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
